Add Property to Asset Type
curl --request POST \
--url https://api.us.lexful.app/v1/asset_types/{assetTypeIdOrName}/properties/{propertyName} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'X-Account-ID: <api-key>' \
--data '
{
"name": "<string>",
"type": "<string>",
"required": true,
"display_name": "<string>",
"enum": [
"<string>"
]
}
'import requests
url = "https://api.us.lexful.app/v1/asset_types/{assetTypeIdOrName}/properties/{propertyName}"
payload = {
"name": "<string>",
"type": "<string>",
"required": True,
"display_name": "<string>",
"enum": ["<string>"]
}
headers = {
"Authorization": "Bearer <token>",
"X-Account-ID": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
Authorization: 'Bearer <token>',
'X-Account-ID': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
name: '<string>',
type: '<string>',
required: true,
display_name: '<string>',
enum: ['<string>']
})
};
fetch('https://api.us.lexful.app/v1/asset_types/{assetTypeIdOrName}/properties/{propertyName}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"name": "<string>",
"display_name": "<string>",
"required": true,
"description": "<string>",
"enum": [
"<string>"
],
"array": {
"properties": [
{
"name": "<string>",
"required": true,
"description": "<string>",
"enum": [
"<string>"
]
}
]
},
"file_rules": {
"max_size": 123,
"allowed_extensions": [
"<string>"
],
"allowed_mime_types": [
"<string>"
]
},
"monitors": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"kind": "<string>",
"enabled": true,
"config": {}
}
]
}{
"status": 123,
"message": "<string>",
"error_id": "<string>",
"error_code": "<string>",
"developer_message": "<string>"
}{
"status": 123,
"message": "<string>",
"error_id": "<string>",
"error_code": "<string>",
"developer_message": "<string>"
}{
"status": 123,
"message": "<string>",
"error_id": "<string>",
"error_code": "<string>",
"developer_message": "<string>"
}{
"status": 123,
"message": "<string>",
"error_id": "<string>",
"error_code": "<string>",
"developer_message": "<string>"
}Asset Types
Add Property to Asset Type
Add a new property to an asset type. Property name must start with ext_ for system asset types without system_entity_type_update permission.
POST
/
v1
/
asset_types
/
{assetTypeIdOrName}
/
properties
/
{propertyName}
Add Property to Asset Type
Authorizations
Bearer token
Account ID
Path Parameters
Asset type ID (UUID) or name (e.g., system.configuration)
Property name
Body
application/json
Response
Default Response
Property name
Property type
Available options:
string, number, integer, boolean, array, secret, totp, file, date, datetime, richtext, richtext_large Display name for UI
Whether this property is required
Property description
Allowed values for this property
Array item configuration
Show child attributes
Show child attributes
File validation rules
Show child attributes
Show child attributes
Monitors targeting this property (only present when expand=monitors)
Show child attributes
Show child attributes
Was this page helpful?
⌘I